package com.winhc.max.compute.graph.util;

import com.aliyun.odps.io.NullWritable;
import com.aliyun.odps.io.Text;
import com.aliyun.odps.io.Writable;
import com.aliyun.odps.io.WritableRecord;

import java.io.IOException;

/**
 * @author: XuJiakai
 * 2022/7/11 14:30
 */
public class WritableRecordExtensions {
    public static Text getTextOrNull(WritableRecord writableRecord, String filedName) throws IOException {
        Writable writable = writableRecord.get(filedName);
        if (writable.equals(NullWritable.get())) {
            return new Text();
        } else {
            return ((Text) writable);
        }
    }
}
